PATCH /receiving-domains/{domain_id}/rules/{rule_id}
Enable or disable a forwarding rule
Key carrying mail:send AND job:read. Served only when inbound is open to the account (404 not_found otherwise).
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required | inbound domain identifier |
rule_id | path | string · required |
Request body
application/json
| Field | Type | Description |
|---|---|---|
enabled | boolean · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Rule updated | object |
404 | Not found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X PATCH "$GALON_API_BASE/receiving-domains/<domain_id>/rules/<rule_id>" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"enabled": true}'DELETE /receiving-domains/{domain_id}/rules/{rule_id}
Delete a forwarding rule
Key carrying mail:send AND job:read. Served only when inbound is open to the account (404 not_found otherwise).
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required | inbound domain identifier |
rule_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Rule deleted | object |
404 | Not found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X DELETE "$GALON_API_BASE/receiving-domains/<domain_id>/rules/<rule_id>" \
-H "Authorization: Bearer $GALON_API_KEY"